Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9882

Department: SUPPORT Affected Products: ADTF 3.4.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Support Anfrage:

Da gibt's nen fiesen bug in der ADTFMacros.cmake:

macro(adtf_install_target TARGET DIRECTORY)

install(TARGETS ${TARGET} DESTINATION ${DIRECTORY}/debug CONFIGURATIONS Debug)

install(TARGETS ${TARGET} DESTINATION ${DIRECTORY} CONFIGURATIONS Release RelWithDebInfo)

if(WIN32)

get_target_property(NAME ${TARGET} OUTPUT_NAME)

if(NOT NAME)

set(NAME ${TARGET})

endif(NOT NAME)

if(MSVC_IDE)

set(PDB_FULL_PATH_DEBUG ${CMAKE_CURRENT_BINARY_DIR}/${${TARGET}_BUILD_NAME_}/Debug/${NAME}.pdb)

install(FILES ${PDB_FULL_PATH_DEBUG} DESTINATION ${DIRECTORY}/debug CONFIGURATIONS Debug)

set(PDB_FULL_PATH_RELWITHDEBINFO

${CMAKE_CURRENT_BINARY_DIR}/${${TARGET}_BUILD_NAME_}/RelWithDebInfo/${NAME}.pdb)

install(FILES ${PDB_FULL_PATH_RELWITHDEBINFO} DESTINATION ${DIRECTORY} CONFIGURATIONS RelWithDebInfo)

elseif() # elseif() wird immer false, von daher werden die plbs nur bei VS-builds installiert

set(PDB_FULL_PATH ${CMAKE_CURRENT_BINARY_DIR}/${${TARGET}_BUILD_NAME_}/${NAME}.pdb)

install(FILES ${PDB_FULL_PATH} DESTINATION ${DIRECTORY}/debug CONFIGURATIONS Debug)

install(FILES ${PDB_FULL_PATH} DESTINATION ${DIRECTORY} CONFIGURATIONS RelWithDebInfo)

endif()

endif(WIN32)

endmacro(adtf_install_target TARGET DIRECTORY)

Gefunden unter schmerzen in Adtf 3.2 - 3.4.

Fix: elseif() durch else() ersetzen

Lösung:

Es wurde das Produktticket ACORE-9882 erstellt.

Die weitere Bearbeitung des Bug erfolgt im Produktticket.

History

#1 - 2019-02-08 15:24 - hidden

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.4.0 added
#2 - 2019-02-08 15:30 - hidden

@Wolfgang: Bitte ansehen. Ist schon ab 3.2.0 enthalten.

#3 - 2019-02-13 09:19 - hidden

Hallo Flo,

Danke für den Hinweis!

Wird behoben - bei der Gelegenheit schau ich mal, ob man das nicht mit Generator Expressions deutlich vereinfachen kann.

#4 - 2019-02-13 09:38 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9882

#5 - 2019-02-13 10:40 - hidden

- Resolution set to Product Issue Opened

#6 - 2019-02-13 14:10 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Support Level changed from 2nd Level to 3rd Level

- Platform Windows 7 64bit added

#7 - 2019-02-13 14:45 - hidden

- Subject changed from EBPRODUCTSUPPORT-2777 ADTF 3: Installation of pdb files doesn't work on non-VS build to

EBPRODUCTSUPPORT-2777 Installation of pdb files does not work on non Visual Studio environment

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
